Bug 56748 - (patch) rpm spec mode doesn't hilight Requires(post,postun)
(patch) rpm spec mode doesn't hilight Requires(post,postun)
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: emacs (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-26 16:45 EST by Edward J. Huff
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-28 17:15:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tested patch to fix problem (418 bytes, patch)
2001-11-26 16:47 EST, Edward J. Huff
no flags Details | Diff

  None (edit)
Description Edward J. Huff 2001-11-26 16:45:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i586)

Description of problem:
Example:  open iptables.spec in emacs on a color X display.
The Requires(post,postun) is not highlighted.

In file rpm-spec-mode.el
http://www.tihlde.org/~stigb/rpm-spec-mode.el

rpm-spec-font-lock-keywords second pattern needs to allow comma inside
parens.

Version-Release number of selected component (if applicable):
/mnt/enigma-SRPMS-disc1/SRPMS/emacs-20.7-41.src.rpm
rpm-spec-mode.el version 0.11g

How reproducible:
Always

Steps to Reproduce:
1. emacs /usr/src/redhat/SPECS/iptables.spec
2. look at the Requires(post,postun) statement
3.
	

Actual Results:  The statement is not fontified.

Expected Results:  Requires should be blue, (post,postun) should be red.

Additional info:

rpm-spec-font-lock-keywords second pattern needs to allow comma inside
parens.  The change has been tested and it works.

-    ("^\\([a-zA-Z0-9]+\\)\\(\([a-zA-Z0-9]+\)\\):"
+    ("^\\([a-zA-Z0-9]+\\)\\(\([a-zA-Z0-9,]+\)\\):"

Patch is attached
Comment 1 Edward J. Huff 2001-11-26 16:47:13 EST
Created attachment 38684 [details]
Tested patch to fix problem
Comment 2 Trond Eivind Glomsrxd 2001-11-28 17:14:54 EST
I've mailed the author about it, and I'll wait for his comments before applying it.
Comment 3 Trond Eivind Glomsrxd 2001-11-29 17:58:46 EST
It's been added to rpm-spec-mode for emacs-21.1-1

Note You need to log in before you can comment on or make changes to this bug.